<div id="background">
    <div id="flexbox">
        <div id="title">
            <h1>YANA.help</h1>
            <h2>You Are Not Alone</h2>
            <div class="line1"></div>
            <p>Welcome to the safe place ! Here you can find help and useful information. Come and join the community !</p>
            <div class="emergency">Are you in an emergency ? Call <a id="number" href="tel://147">147</a> or find help <a id="maplink" [routerLink]="['/maps']" skipLocationChange>near you</a></div>
        </div>
        <div id="inputbox">
            <h2>Find help</h2>
            <div class="line2"></div>
            <div id="optionbox">
                <div class="langboxes">
                    <div class="selbox" *ngFor="let language of translate.getLangs()" [ngClass]="(langSelector == language) ? 'selbox selected' : 'selbox'" (click)="onClickLang(language);lang.setLangToken(language)">
                        <p>{{ language }}</p>
                    </div>
                </div>
                <div class="cantonbox">
                    <app-cantonbox (messageEvent)="receiveCanton($event)"></app-cantonbox>
                </div>
                <div class="age">
                    <div class="selbox" [ngClass]="(ageSelector == 'child') ? 'selbox selected' : 'selbox'" (click)="onClickAge('child');">
                        <p>I am a child</p>
                    </div>
                    <div class="selbox" [ngClass]="(ageSelector == 'adult') ? 'selbox selected' : 'selbox'" (click)="onClickAge('adult');">
                        <p>I am an adult</p>
                    </div>
                </div>
                <div class="submitbox">
                    <div [routerLink]="['/maps', cantonSelector]" class="selbox submit" skipLocationChange>
                        <p>Get Started</p>
                    </div>
                </div>
            </div> 
        </div>
    </div>
    <div class="overflow">
        <img src="../../assets/yana-tree-noHands.svg" alt="YANA tree">
    </div>
</div>

